com.verisign.epp.codec.whois

## Class EPPWhoisInfData

- java.lang.Object
- - com.verisign.epp.codec.whois.EPPWhoisInfData

- All Implemented Interfaces:
    EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

      public class EPPWhoisInfData
      extends java.lang.Object
      implements EPPCodecComponent

  Extension to the domain info response to return additional information that is found in whois. This will only be returned if the `EPPWhoisInf` extension is included in the domain info command with the flag value of `true`.
  See Also:
    `EPPWhoisInf`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ELM_NAME` Constant for the whois info extension tag

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPWhoisInfData()` Create an `EPPWhoisInfData` instance
    `EPPWhoisInfData(java.lang.String aRegistrar)` Create a `EPPWhoisInfData` instance with all of the required attributes.
    `EPPWhoisInfData(java.lang.String aRegistrar, java.lang.String aWhoisServer, java.lang.String aURL)` Create a `EPPWhoisInfData` instance with the most common attributes
    `EPPWhoisInfData(java.lang.String aRegistrar, java.lang.String aWhoisServer, java.lang.String aURL, java.lang.String aIrisServer)` Create a `EPPWhoisInfData` instance with all of the attributes.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()` Clone `EPPWhoisInfData`.
    `void` | `decode(org.w3c.dom.Element aElement)` Decode the EPPIdnLangExtCrete component
    `org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Sets all this instance's data in the given XML document
    `boolean` | `equals(java.lang.Object aObject)` implements a deep `EPPWhoisInfData` compare.
    `java.lang.String` | `getIrisServer()` Returns the optional registrar IRIS server name
    `java.lang.String` | `getNamespace()` Returns the XML namespace associated with the `EPPCodecComponent`.
    `java.lang.String` | `getRegistrar()` Returns the registrar name
    `java.lang.String` | `getURL()` Returns the registrar referral URL
    `java.lang.String` | `getWhoisServer()` Returns the registrar whois server name
    `void` | `setFlag(java.lang.String aRegistrar)` Sets the registrar name
    `void` | `setIrisServer(java.lang.String aIrisServer)` Sets the optional registrar IRIS server name
    `void` | `setURL(java.lang.String aURL)` Sets the registrar referral URL
    `void` | `setWhoisServer(java.lang.String aWhoisServer)` Sets the registrar whois server name

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      Constant for the whois info extension tag
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPWhoisInfData

          public EPPWhoisInfData()

      Create an `EPPWhoisInfData` instance

    - #### EPPWhoisInfData

          public EPPWhoisInfData(java.lang.String aRegistrar)

      Create a `EPPWhoisInfData` instance with all of the required attributes.
      Parameters:
        `aRegistrar` - Sponsoring Registrar name

    - #### EPPWhoisInfData

          public EPPWhoisInfData(java.lang.String aRegistrar,
                                 java.lang.String aWhoisServer,
                                 java.lang.String aURL)

      Create a `EPPWhoisInfData` instance with the most common attributes
      Parameters:
        `aRegistrar` - Sponsoring Registrar name
        `aWhoisServer` - Sponsoring Registrar whois server name
        `aURL` - Sponsoring Registrar referrel URL

    - #### EPPWhoisInfData

          public EPPWhoisInfData(java.lang.String aRegistrar,
                                 java.lang.String aWhoisServer,
                                 java.lang.String aURL,
                                 java.lang.String aIrisServer)

      Create a `EPPWhoisInfData` instance with all of the attributes.
      Parameters:
        `aRegistrar` - Sponsoring Registrar name
        `aWhoisServer` - Sponsoring Registrar whois server name
        `aURL` - Sponsoring Registrar referrel URL
        `aIrisServer` - Optional Sponsoring Registrar IRIS server

  - ### Method Detail

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPWhoisInfData`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        clone of `EPPWhoisInfData`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### encode

          public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                                     throws EPPEncodeException

      Sets all this instance's data in the given XML document
      Specified by:
        `encode` in interface `EPPCodecComponent`
      Parameters:
        `aDocument` - a DOM Document to attach data to.
      Returns:
        The root element of this component.
      Throws:
        `EPPEncodeException` - Thrown if any errors prevent encoding.

    - #### decode

          public void decode(org.w3c.dom.Element aElement)
                      throws EPPDecodeException

      Decode the EPPIdnLangExtCrete component
      Specified by:
        `decode` in interface `EPPCodecComponent`
      Parameters:
        `aElement` - Element to decode from
      Throws:
        `EPPDecodeException` - On decoding error

    - #### equals

          public boolean equals(java.lang.Object aObject)

      implements a deep `EPPWhoisInfData` compare.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `aObject` - `EPPWhoisInfData` instance to compare with
      Returns:
        true if equal false otherwise

    - #### getRegistrar

          public java.lang.String getRegistrar()

      Returns the registrar name
      Returns:
        the registrar name if set;`null` otherwise

    - #### setFlag

          public void setFlag(java.lang.String aRegistrar)

      Sets the registrar name
      Parameters:
        `aRegistrar` - Registrar full name

    - #### getWhoisServer

          public java.lang.String getWhoisServer()

      Returns the registrar whois server name
      Returns:
        the registrar whois server name if set;`null` otherwise

    - #### setWhoisServer

          public void setWhoisServer(java.lang.String aWhoisServer)

      Sets the registrar whois server name
      Parameters:
        `aWhoisServer` - Registrar whois server name

    - #### getURL

          public java.lang.String getURL()

      Returns the registrar referral URL
      Returns:
        the registrar referral URL if set;`null` otherwise

    - #### setURL

          public void setURL(java.lang.String aURL)

      Sets the registrar referral URL
      Parameters:
        `aURL` - Registrar referral URL

    - #### getIrisServer

          public java.lang.String getIrisServer()

      Returns the optional registrar IRIS server name
      Returns:
        the registrar IRIS server name if set;`null` otherwise

    - #### setIrisServer

          public void setIrisServer(java.lang.String aIrisServer)

      Sets the optional registrar IRIS server name
      Parameters:
        `aIrisServer` - Registrar IRIS server name

    - #### getNamespace

          public java.lang.String getNamespace()

      Returns the XML namespace associated with the `EPPCodecComponent`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Returns:
        XML namespace for the `EPPCodecComponent`.